### Method

# Gimp PDB run_procedure_config

#### Declaration [src]

    GimpValueArray*
    gimp_pdb_run_procedure_config (
      GimpPDB* pdb,
      const gchar* procedure_name,
      GimpProcedureConfig* config
    )

#### Description [src]

Runs the procedure named `procedure_name` with `config`.

Available since: | 3.0

#### Parameters

`procedure_name` | `const gchar*`
| The registered name to call.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`config` | `GimpProcedureConfig`
| A config object obtained with gimp_procedure_create_config().
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpValueArray`
| The return values for the procedure call.
| The caller of the method takes ownership of the data, and is responsible for freeing it.